# Uses of Class
jebl.evolution.sequences.AminoAcidState

Packages that use AminoAcidState
Package
Description
jebl.evolution.sequences

## Uses of AminoAcidState in jebl.evolution.sequences

Fields in jebl.evolution.sequences declared as AminoAcidState
Modifier and Type
Field
Description
`static final AminoAcidState`
AminoAcids.`A_STATE`
`static final AminoAcidState`
AminoAcids.`B_STATE`
`static final AminoAcidState`
AminoAcids.`C_STATE`
`static final AminoAcidState[]`
AminoAcids.`CANONICAL_STATES`
Deprecated.
`static final AminoAcidState`
AminoAcids.`D_STATE`
`static final AminoAcidState`
AminoAcids.`E_STATE`
`static final AminoAcidState`
AminoAcids.`F_STATE`
`static final AminoAcidState`
AminoAcids.`G_STATE`
`static final AminoAcidState`
AminoAcids.`GAP_STATE`
`static final AminoAcidState`
AminoAcids.`H_STATE`
`static final AminoAcidState`
AminoAcids.`I_STATE`
`static final AminoAcidState`
AminoAcids.`J_STATE`
`static final AminoAcidState`
AminoAcids.`K_STATE`
`static final AminoAcidState`
AminoAcids.`L_STATE`
`static final AminoAcidState`
AminoAcids.`M_STATE`
`static final AminoAcidState`
AminoAcids.`N_STATE`
`static final AminoAcidState`
AminoAcids.`O_STATE`
`static final AminoAcidState`
AminoAcids.`P_STATE`
`static final AminoAcidState`
AminoAcids.`Q_STATE`
`static final AminoAcidState`
AminoAcids.`R_STATE`
`static final AminoAcidState`
AminoAcids.`S_STATE`
`static final AminoAcidState[]`
AminoAcids.`STATES`
Deprecated.
`static final AminoAcidState`
AminoAcids.`STOP_STATE`
`static final AminoAcidState`
AminoAcids.`T_STATE`
`static final AminoAcidState`
AminoAcids.`U_STATE`
`static final AminoAcidState`
AminoAcids.`UNKNOWN_STATE`
`static final AminoAcidState`
AminoAcids.`V_STATE`
`static final AminoAcidState`
AminoAcids.`W_STATE`
`static final AminoAcidState`
AminoAcids.`X_STATE`
`static final AminoAcidState`
AminoAcids.`Y_STATE`
`static final AminoAcidState`
AminoAcids.`Z_STATE`
Methods in jebl.evolution.sequences that return AminoAcidState
Modifier and Type
Method
Description
`static AminoAcidState`
AminoAcids.`getGapState()`
`static AminoAcidState`
AminoAcids.`getState(char code)`
`static AminoAcidState`
AminoAcids.`getState(int index)`
`static AminoAcidState`
AminoAcids.`getState(String code)`
`AminoAcidState`
GeneticCode.`getTranslation(String nucleotides)`
Returns the state associated with AminoAcid represented by the three nucleotides.
`AminoAcidState`
GeneticCode.`getTranslation(CodonState codonState)`
Returns the state associated with AminoAcid represented by codonState.
`AminoAcidState`
GeneticCode.`getTranslation(NucleotideState nucleotide1, NucleotideState nucleotide2, NucleotideState nucleotide3)`
Returns the state associated with AminoAcid represented by the three nucleotides.
`static AminoAcidState`
AminoAcids.`getUnknownState()`
`static AminoAcidState[]`
AminoAcids.`toStateArray(byte[] indexArray)`
`static AminoAcidState[]`
AminoAcids.`toStateArray(String sequenceString)`
`static AminoAcidState[]`
Utils.`translate(State[] states, GeneticCode geneticCode)`
Translates each of a given sequence of `NucleotideState`s or `CodonState`s to the `AminoAcidState` corresponding to it under the given genetic code.
`static AminoAcidState[]`
Utils.`translate(State[] states, GeneticCode geneticCode, int readingFrame)`
Translates each of a given sequence of `NucleotideState`s or `CodonState`s to the `AminoAcidState` corresponding to it under the given genetic code.
Methods in jebl.evolution.sequences that return types with arguments of type AminoAcidState
Modifier and Type
Method
Description
`static List<AminoAcidState>`
AminoAcids.`getStates()`
Methods in jebl.evolution.sequences with parameters of type AminoAcidState
Modifier and Type
Method
Description
`Set<CodonState>`
GeneticCode.`getCodonsForAminoAcid(AminoAcidState aminoAcidState)`
`static String`
AminoAcids.`getTripletCode(AminoAcidState state)`
`static boolean`
AminoAcids.`isGap(AminoAcidState state)`
`static boolean`
AminoAcids.`isUnknown(AminoAcidState state)`